Subject: Re: bug#60077: 29.0.60; Is xterm modifyOtherKeys support broken?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Dec 2022 08:52:30 +0200

> From: Len Trigg <[email-masked]>
> Date: Fri, 16 Dec 2022 08:48:54 +1300
> Cc: [email-masked], [email-masked]
> 
> On Thu, 15 Dec 2022 at 22:10, Eli Zaretskii <[email-masked]> wrote:
> 
>  > And my wild speculation from looking at the example table "Other modified-key escapes" on
>  > https://invisible-island.net/xterm/modified-keys-us-pc105.html is that emacs would need an entry like:
>  >                    (3 32 [?\M-\s])
>  > to handle the modifyOtherKeys encoding of "\E[27;3;32~" for M-SPC,
> 
>  If that fixes the problem, we could install it.
> 
> I tried this out and it does fix the issue for me.

OK, will install that soon.

> BTW, have you tried to replicate the issue yourself?

I can't: I don't have access to a system with such a terminal
emulator.

>  There's nothing wrong with solving this one problem at a time, right?
>  Especially since we don't seem to have complaints about other
>  sequences.
>  
> I suppose so, I'm just a little wary of fixing like this without understanding why it only seems to be an issue now
> or whether other guards are needed. For example, the commit log for this area shows Dan Nicolaescu adding
> more bindings in c0658ad46e4928ecdf6a14904073dc8a2fcfe862 and also bumping the xterm version
> number that is checked against, so he is probably knowledgeable about how this works. (I've tried to add him
> to the CC list using the email address in that commit)

Yes, thanks.  Dan, if you have time to look into this and advise,
please do.